--------------------------------------------------------------------
-- e_copyright_logo.lua
-- コピーライト表示
--
-- author IZUMI STUDIO
-- date 2009-10-19 新規作成
--------------------------------------------------------------------
require(".\\scripts\\common")

PROJ_FOV        = 3.1415 * 25.0 / 180.0
PROJ_RADIUS     = 40.0 / math.cos( PROJ_FOV / 2.0 )
PROJ_HALF_WIDTH = PROJ_RADIUS * math.sin( PROJ_FOV / 2.0 )
PROJ_WIDTH      = PROJ_HALF_WIDTH * 2.0

MODEL_NAME = "logo_izumi_studio"
SCALE      = 1.0/600.0*PROJ_WIDTH

function createElement_Caption_In( _delay, _endFrame, _x, _y )
	
	mover = Effect.CreateAnimator_Still(
		_x, _y, 0.0,
		0.0, 0.0, 0.0 )

	rotator = Effect.CreateAnimator_Still(
		0.0, 0.0, 0.0,
		0.0, 0.0, 0.0 )
	
	Effect.CreateElement_Model( 
		MODEL_NAME,
		SCALE, SCALE, INTERPOLATION_LINEAR,
		0.0, 1.0, INTERPOLATION_LINEAR,
		EFFECT_BLEND_NORMAL,
		_delay, _endFrame, 1,
		0,
		mover,
		rotator )
end

function createElement_Caption( _delay, _endFrame, _x, _y )
	
	mover = Effect.CreateAnimator_Still(
		_x, _y, 0.0,
		0.0, 0.0, 0.0 )

	rotator = Effect.CreateAnimator_Still(
		0.0, 0.0, 0.0,
		0.0, 0.0, 0.0 )
	
	Effect.CreateElement_Model( 
		MODEL_NAME,
		SCALE, SCALE, INTERPOLATION_LINEAR,
		1.0, 1.0, INTERPOLATION_LINEAR,
		EFFECT_BLEND_NORMAL,
		_delay, _endFrame, 0,
		EFFECT_OPTION_SHADOW,
		mover,
		rotator )
end


createElement_Caption_In( 
	15, 20, 0.0, 0.0 )

createElement_Caption( 
	35-1, 10000, 0.0, 0.0 )




